IndexableFieldType (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.index, interface: IndexableFieldType

Package org.apache.lucene.index

# Interface IndexableFieldType

All Known Implementing Classes:
  `FieldType`

public interface IndexableFieldType
Describes the properties of a field.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocValuesSkipIndexType`
  `docValuesSkipIndexType()`
  Whether a skip index for doc values should be created on this field.
  `DocValuesType`
  `docValuesType()`
  DocValues `DocValuesType`: how the field's value will be indexed into docValues.
  `Map<String,String>`
  `getAttributes()`
  Attributes for the field type.
  `IndexOptions`
  `indexOptions()`
  `IndexOptions`, describing what should be recorded into the inverted index
  `boolean`
  `omitNorms()`
  True if normalization values should be omitted for the field.
  `int`
  `pointDimensionCount()`
  If this is positive (representing the number of point dimensions), the field is indexed as a point.
  `int`
  `pointIndexDimensionCount()`
  The number of dimensions used for the index key
  `int`
  `pointNumBytes()`
  The number of bytes in each dimension's values.
  `boolean`
  `stored()`
  True if the field's value should be stored
  `boolean`
  `storeTermVectorOffsets()`
  True if this field's token character offsets should also be stored into term vectors.
  `boolean`
  `storeTermVectorPayloads()`
  True if this field's token payloads should also be stored into the term vectors.
  `boolean`
  `storeTermVectorPositions()`
  True if this field's token positions should also be stored into the term vectors.
  `boolean`
  `storeTermVectors()`
  True if this field's indexed form should be also stored into term vectors.
  `boolean`
  `tokenized()`
  True if this field's value should be analyzed by the `Analyzer`.
  `int`
  `vectorDimension()`
  The number of dimensions of the field's vector value
  `VectorEncoding`
  `vectorEncoding()`
  The `VectorEncoding` of the field's vector value
  `VectorSimilarityFunction`
  `vectorSimilarityFunction()`
  The `VectorSimilarityFunction` of the field's vector value

- ## Method Details

  - ### stored

    boolean stored()
    True if the field's value should be stored

  - ### tokenized

    boolean tokenized()
    True if this field's value should be analyzed by the `Analyzer`.

    This has no effect if `indexOptions()` returns IndexOptions.NONE.

  - ### storeTermVectors

    boolean storeTermVectors()
    True if this field's indexed form should be also stored into term vectors.

    This builds a miniature inverted-index for this field which can be accessed in a document-oriented way from `TermVectors.get(int,String)`.

    This option is illegal if `indexOptions()` returns IndexOptions.NONE.

  - ### storeTermVectorOffsets

    boolean storeTermVectorOffsets()
    True if this field's token character offsets should also be stored into term vectors.

    This option is illegal if term vectors are not enabled for the field (`storeTermVectors()` is false)

  - ### storeTermVectorPositions

    boolean storeTermVectorPositions()
    True if this field's token positions should also be stored into the term vectors.

    This option is illegal if term vectors are not enabled for the field (`storeTermVectors()` is false).

  - ### storeTermVectorPayloads

    boolean storeTermVectorPayloads()
    True if this field's token payloads should also be stored into the term vectors.

    This option is illegal if term vector positions are not enabled for the field (`storeTermVectors()` is false).

  - ### omitNorms

    boolean omitNorms()
    True if normalization values should be omitted for the field.

    This saves memory, but at the expense of scoring quality (length normalization will be disabled), and if you omit norms, you cannot use index-time boosts.

  - ### indexOptions

    IndexOptions indexOptions()
    `IndexOptions`, describing what should be recorded into the inverted index

  - ### docValuesType

    DocValuesType docValuesType()
    DocValues `DocValuesType`: how the field's value will be indexed into docValues.

  - ### docValuesSkipIndexType

    DocValuesSkipIndexType docValuesSkipIndexType()
    Whether a skip index for doc values should be created on this field.

  - ### pointDimensionCount

    int pointDimensionCount()
    If this is positive (representing the number of point dimensions), the field is indexed as a point.

  - ### pointIndexDimensionCount

    int pointIndexDimensionCount()
    The number of dimensions used for the index key

  - ### pointNumBytes

    int pointNumBytes()
    The number of bytes in each dimension's values.

  - ### vectorDimension

    int vectorDimension()
    The number of dimensions of the field's vector value

  - ### vectorEncoding

    VectorEncoding vectorEncoding()
    The `VectorEncoding` of the field's vector value

  - ### vectorSimilarityFunction

    VectorSimilarityFunction vectorSimilarityFunction()
    The `VectorSimilarityFunction` of the field's vector value

  - ### getAttributes

    Map<String,String> getAttributes()
    Attributes for the field type.

    Attributes are not thread-safe, user must not add attributes while other threads are indexing documents with this field type.

    Returns:
      Map